Bug 470018 - Support DUID-EN DUID-LL
Support DUID-EN DUID-LL
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dhcpv6 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-05 05:31 EST by Yang Ren
Modified: 2009-09-21 20:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-21 20:26:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yang Ren 2008-11-05 05:31:45 EST
Description of problem:
Now our package support DUID-LLT.
I wanna know Is there a plan to support DUID-EN and DUID-LL?
Comment 1 David Cantrell 2008-11-05 15:48:48 EST
Yes, there are plans to implement these two DUID types.  The work will be done upstream first.
Comment 2 David Cantrell 2009-06-03 21:35:46 EDT
Notes for myself:

DUID-EN requires the use of the private vendor extension number as maintained by IANA.  Technically, the device should provide this information as the DUID-EN must be generated at manufacturing time.  No manufacturers are doing this yet...to my knowledge.

DUID-LL is a unique identifier based on the link layer address, so much easier to implement.
Comment 3 David Cantrell 2009-09-21 20:26:15 EDT
The dhcpv6 package has been obsoleted by the dhcp package.

Note You need to log in before you can comment on or make changes to this bug.